Subject: Re: [PATCH net-next v20 10/13] rtase: Implement ethtool function

From: Jakub Kicinski <[email-masked]>
Date: Tue, 18 Jun 2024 07:24:30 -0700

On Tue, 18 Jun 2024 07:28:13 +0000 Justin Lai wrote:
> > Are you basically saying that since its an error it only matters if
> > its zero or not? It's not going to be a great experience for anyone
> > trying to use this driver. You can read this counter periodically from
> > a timer and accumulate a fuller value in the driver. There's even
> > struct ethtool_coalesce::stats_block_coalesce_usecs if you want to let
> > user configure the period.  
> 
> As we've discussed, as long as this counter has a value, it can inform
> the user that the host speed is too slow, and it will not affect other
> transmission functions. Can we add this periodic reading function
> after this patch version is merged?

You'd have to remove reporting of all 16b packet statistics and 32b
byte statistics completely for now, and then follow up adding them
with the periodic overflow checks.